package com.simuwang.base.mapper;

import com.simuwang.base.pojo.vo.FundInformationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * FileName: FundInfomationMapper
 * Author:   chenjianhua
 * Date:     2024/9/6 15:11
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface FundInfoMapper {
    List<Map<String, String>> searchFundInfoByKeyword(@Param("keyword") String keyword);

    List<FundInformationVO> searchFundInfoList(@Param("fundId") String fundId, @Param("fundName") String fundName,
                                               @Param("companyName") String companyName, @Param("navFrequency") Integer navFrequency,
                                               @Param("assetFrequency") Integer assetFrequency,@Param("startDate") Integer startDate,
                                               @Param("endDate")Integer endDate);

    List<String> queryFundByNameAndRegisterNumber(@Param("fundName")String fundName, @Param("registerNumber")String registerNumber);

    List<String> queryFundByName(@Param("fundName") String fundName);

    List<String> queryFundByRegisterNumber(@Param("registerNumber") String registerNumber);
}
