package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * FileName: SysUserDO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Setter
@Getter
@TableName("sys_user")
public class SysUserDO extends BaseEntity {
    /**
     * 用户ID
     */
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 用户性别
     */
    private Integer sex;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 密码
     */
    private String password;
    /**
     * 帐号状态（0正常 1停用）
     */
    private Integer status;

//    /**
//     * 删除标志（0代表存在 1代表删除）
//     */
//    @TableId(value = "del_flag")
//    private String delFlag;
//    /**
//     * 备注
//     */
//    private String startDate;
//    /**
//     * 备注
//     */
//    @TableId(value = "end_date")
//    private String endDate;
    /**
     * 备注
     */
    private String remark;
}
