package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * FileName: SysUserVO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Data
public class SysUserVO
{
    /** 用户ID */
    private Long userId;

    /** 用户账号 */
    private String userName;

    /** 用户类型1-内部系统，2-外部系统 */
    private String userType;

    /** 用户邮箱 */
    private String email;

    /** 手机号码 */
    private String phonenumber;

    /** 手机号码 */
    private String startDate;

    /** 手机号码 */
    private String endDate;

    /** 用户性别 */
    private String sex;

    /** 用户头像 */
    private String avatar;

    /** 密码 */
    private String password;

    /** 帐号状态（0正常 1停用） */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    private String loginIp;

    /** 最后登录时间 */
    private Date loginDate;

    /** 角色对象 */
    private List<SysRoleVO> roles;

    /** 角色组 */
    private Long[] roleIds;

    /** 角色ID */
    private Long roleId;
}
