package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.FundInfoMapper;
import com.simuwang.base.pojo.vo.FundInformationVO;
import com.simuwang.manage.service.FundInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * FileName: FundInformationServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/6 15:08
 * Description: ${DESCRIPTION}
 */
@Service
public class FundInformationServiceImpl implements FundInformationService {
    @Autowired
    private FundInfoMapper fundInfoMapper;
    @Override
    public List<Map<String, String>> searchFundInfo(String keyword) {
        return fundInfoMapper.searchFundInfoByKeyword(keyword);
    }

    @Override
    public List<FundInformationVO> searchFundInfoList(String fundId, String fundName, String companyName, Integer navFrequency, Integer assetFrequency, Integer startDate, Integer endDate) {
        List<FundInformationVO> result = fundInfoMapper.searchFundInfoList(fundId,fundName,companyName,navFrequency,assetFrequency,startDate,endDate);
        return result;
    }
}
