package com.simuwang.base.mapper;

import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import com.simuwang.base.pojo.vo.CompanyEmailSendHistoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * FileName: CompanyEmailSendHistoryMapper
 * Author:   chenjianhua
 * Date:     2024/9/9 10:19
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface CompanyEmailSendHistoryMapper {
    public List<CompanyEmailSendHistoryVO> searchCompanyEmailList(@Param("companyName") String companyName,
                                                                  @Param("email") String email,
                                                                  @Param("sendStatus") Integer sendStatus);

    List<CompanyEmailSendHistoryVO> searchEmailHistory(@Param("companyId") String companyId);

    void deleteEmailHistory(@Param("emailList")List<String> email);

    void deleteEmailHistoryByIds(@Param("ids") List<Integer> idList);
}
