package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFileInfoDO;
import com.simuwang.base.pojo.dos.EmailParseInfoDO;
import com.simuwang.base.pojo.vo.FundFileInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailFileInfoMapper {

    Integer insert(@Param("itemDo") EmailFileInfoDO emailFileInfoDO);

    EmailFileInfoDO getEmailFileById(@Param("id") Integer fileId);

    List<EmailParseInfoDO> queryByEmailId(@Param("emailId") Integer emailId);

    List<FundFileInfoVO> searchFundFileInfo(@Param("fundId") String fundId, @Param("fileType")Integer fileType);
}
