package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: CompanyEmailSendHistoryDO
 * Author:   chenjianhua
 * Date:     2024/9/7 13:36
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("company_email_send_history")
public class CompanyEmailSendHistoryDO {
    /**
     * 主键Id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 邮箱地址
     */
    @TableField(value = "email")
    private String email;
    /**
     * 邮箱地址
     */
    @TableField(value = "send_status")
    private Integer sendStatus;
    /**
     * 发送时间
     */
    @TableField(value = "send_time")
    private Date sendTime;
    /**
     * 发送备注
     */
    @TableField(value = "send_remark")
    private String sendRemark;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}
