package com.simuwang.datadaq;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.map.MapUtil;
import com.simuwang.base.common.conts.DateConst;
import com.simuwang.base.pojo.dto.MailboxInfoDTO;
import com.simuwang.daq.service.EmailParseService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.Date;
import java.util.List;
import java.util.Map;

@SpringBootTest
class DataTrusteeApplicationTests {

    @Autowired
    private EmailParseService emailParseService;

    @Test
    public void test() {
        MailboxInfoDTO emailInfoDTO = new MailboxInfoDTO();
        emailInfoDTO.setUserId(2395446);
        emailInfoDTO.setAccount("mozuwen@simuwang.com");
        emailInfoDTO.setPassword("Mzw@0306");
//        emailInfoDTO.setAccount("fofservice@simuwang.com");
//        emailInfoDTO.setPassword("cJH@2021");
        emailInfoDTO.setHost("imap.exmail.qq.com");
        emailInfoDTO.setPort("993");
        emailInfoDTO.setProtocol("imap");
        Map<Integer, List<String>> emailTypeMap = MapUtil.newHashMap();
        emailTypeMap.put(1, List.of("净值"));
        Date startDate = DateUtil.parse("2024-09-12 11:10:00", DateConst.YYYY_MM_DD_HH_MM_SS);
        Date endDate = DateUtil.parse("2024-09-12 12:00:00", DateConst.YYYY_MM_DD_HH_MM_SS);
        try {
            emailParseService.parseEmail(emailInfoDTO, startDate, endDate);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
