package com.simuwang.manage.dto;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/12 20:21
 * @description 用户登录后的基本信息
 */
public class UserInfoVO {
    /**
     * 当前用户id
     */
    private Integer userId;
    /**
     * 用户账号
     */
    private String username;
    /**
     * 角色列表
     */
    private List<UserRoleDTO> roles;
    /**
     * 菜单树
     */
    private UserMenuTreeDTO menuTree;

    public UserInfoVO() {
    }

    public UserInfoVO(Integer userId, String username, List<UserRoleDTO> roles, UserMenuTreeDTO menuTree) {
        this();
        this.userId = userId;
        this.username = username;
        this.roles = roles;
        this.menuTree = menuTree;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public List<UserRoleDTO> getRoles() {
        return roles;
    }

    public void setRoles(List<UserRoleDTO> roles) {
        this.roles = roles;
    }

    public UserMenuTreeDTO getMenuTree() {
        return menuTree;
    }

    public void setMenuTree(UserMenuTreeDTO menuTree) {
        this.menuTree = menuTree;
    }
}
