package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.EmailFundNavMapper;
import com.simuwang.base.pojo.vo.EmailFundNavAssetVO;
import com.simuwang.manage.service.ParseEmailDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * FileName: ParseEmailDetailServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/12 23:08
 * Description: ${DESCRIPTION}
 */
@Service
public class ParseEmailDetailServiceImpl implements ParseEmailDetailService {

    @Autowired
    private EmailFundNavMapper emailFundNavMapper;
    @Override
    public List<EmailFundNavAssetVO> searchNavDetail(String fundName, String emailTitle, Integer exceptionStatus, String priceStartDate, String priceEndDate, String updateStartDate, String updateEndDate) {
        return emailFundNavMapper.searchNavDetail(fundName,emailTitle,exceptionStatus,priceStartDate,priceEndDate,updateStartDate,updateEndDate);
    }
}
